/*
 * $Id: gamemanager.h,v 1.1.1.1 2002/03/07 15:33:14 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Gamemanager header file.
 *
 * @version $Revision: 1.1.1.1 $
 */
#include "render.h"

#define NOT_EXIST -999999999

typedef struct {
  Point *pt[2];
  Line *ln[2];
  int d;
} Wall;

#define WALL_MAX 24

typedef struct {
  int x, y, d, speed;
  int com;
  Wall wall[WALL_MAX];
  int wallIdx, wallLoopFlag;
  int deadCnt;
  // for computer motor.
  int senseInterval;
  int senseRange;
  int margin;
  int stability;
  unsigned char *bgm;
} Motor;

typedef struct {
  Dot *dot;
  int mx, my, mz;
  int size, cnt;
} Frag;

void initGamemanager();
void initGame();
void initGameDemo();
void moveMotors(int pad);
void moveFrags();
void moveEye(int pad);
void drawScene(int pad);
